package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrNitrogen;

/**
 * 系统氮气置换Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrNitrogenMapper
{
    /**
     * 查询系统氮气置换
     *
     * @param id 系统氮气置换ID
     * @return 系统氮气置换
     */
    public TPssrNitrogen selectTPssrNitrogenById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询系统氮气置换列表
     *
     * @param tPssrNitrogen 系统氮气置换
     * @return 系统氮气置换集合
     */
    
    public List<TPssrNitrogen> selectTPssrNitrogenList(TPssrNitrogen tPssrNitrogen);

    /**
     * 新增系统氮气置换
     *
     * @param tPssrNitrogen 系统氮气置换
     * @return 结果
     */
    public int insertTPssrNitrogen(TPssrNitrogen tPssrNitrogen);

    /**
     * 修改系统氮气置换
     *
     * @param tPssrNitrogen 系统氮气置换
     * @return 结果
     */
    public int updateTPssrNitrogen(TPssrNitrogen tPssrNitrogen);
    public int updateTPssrNitrogenByIds(TPssrNitrogen tPssrNitrogen);


    /**
     * 删除系统氮气置换
     *
     * @param id 系统氮气置换ID
     * @return 结果
     */
    public int deleteTPssrNitrogenById(Long id);

    /**
     * 批量删除系统氮气置换
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrNitrogenByIds(Long[] ids);
}
